#
# spec file for package guile-gtk (Version 0.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake glib glib-devel gtk gtk-devel guile readline readline-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel guile gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         guile-gtk
Summary:      Guile Bindings for GTK+
Version:      0.19
Release:      193
Copyright:    GPL
Group:        Development/Languages
Url:          http://www.ping.de/sites/zagadka/guile-gtk/
Source:       guile-gtk-%{version}.tar.bz2
Patch:        guile-gtk-%{version}.dif
Patch1:       guile-gtk-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build
Obsoletes:    guilegtk
%define prefix /usr

%description
Guile-gtk is glue code to make the GTK+ (the Gimp Toolkit) accesible
from Guile so it provides a convenient interface for Scheme programmers
to develop visual applications.

Authors:
--------
    Christopher Blizzard <blizzard@appliedtheory.com>
    Gregory McLean <gregm@comstar.net>
    Jens Lautenbacher <jens@tellux.de>
    Lauri Alanko <la@iki.fi>
    Maciej Stachowiak <mstachow@mit.edu>
    Marc Ewing <marc@redhat.com>
    Marius Vollmer <mvo@zagadka.ping.de>
    Martin Baulig <martin@home-of-linux.org>
    Mikael Djurfeldt <mdj@thalamus.nada.kth.se>
    Miroslav Silovic <silovic@zesoi.fer.hr>
    Raja R Harinath <harinath@cs.umn.edu>
    Sascha Ziemann <szi@aibon.ping.de>
    Tom Tromey <tromey@cygnus.com>

SuSE series: gnm

%prep
%setup -n guile-gtk-$RPM_PACKAGE_VERSION
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
%ifarch alpha
RPM_OPT_FLAGS="-O0 -mieee"
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
tar czf examples.tar.gz examples

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples.tar.gz
%doc README* NEWS AUTHORS COPYING TODO README ChangeLog
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/libguilegtk*
%{prefix}/share/guile-gtk/
%{prefix}/share/guile/gtk
%{prefix}/share/guile/gtk-1.2

%changelog -n guile-gtk
* Thu Jun 14 2001 - pmladek@suse.cz
- added libtoolize --force to compile with new libtool
* Wed May 16 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Jan 23 2001 - stepan@suse.de
- fixed compilation problems for alpha axp gcc 2.95.x
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed to compile on older distros
* Fri Nov 03 2000 - cihlar@suse.cz
- bzipped sources
- clean up spec file
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Aug 02 2000 - cihlar@suse.cz
- update to version 0.19
* Fri Jun 09 2000 - ke@suse.de
- update to version 0.18.
* Wed Apr 26 2000 - ro@suse.de
- fixed suse update config call
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- moved configure to %%build (standard location)
* Sat Feb 19 2000 - sndirsch@suse.de
- fixed conflict (type declaration) with gtkdev
* Tue Oct 19 1999 - ke@suse.de
- Initial package: version 0.17.
